## fosh-1.1.tar.gz

=== Makefile ===
DESTDIR =
DEBIAN_SYSTEM =

###### Test for Debian GNU/Linux
# If yoyr system is not Debian GNU/Linux please modify the values after
# "else" statement. Modifying the values before else is useless, unless
# you also set DEBIAN_SYSTEM=1

ifeq ($(DEBIAN_SYSTEM),1)
	BINDIR=$(DESTDIR)/usr/bin
	MANDIR=$(DESTDIR)/usr/man/man1	
else
	BINDIR=$(DESTDIR)/usr/local/bin
	MANDIR=$(DESTDIR)/usr/local/man/man1
endif


OBJS = fosh.o cmds.o utils.o getline/libgetline.a

CC = gcc 
CFLAGS = -O2 -Wall -s

all: fosh

fosh: $(OBJS)
	(cd getline; make)
	$(CC) $(CFLAGS) $(OBJS)  -o fosh

fosh.o: fosh.c
	$(CC) $(CFLAGS) -c fosh.c

clean:
	rm -f *~ *.o fosh
	(cd getline; make clean)

install: fosh 
	cp fosh $(BINDIR)

install-doc: fosh 
	gzip -9 fosh.1 -c >$(MANDIR)/fosh.1.gz

$(OBJS): fosh.h

=== getline/Makefile ===
CC     = gcc
CFLAGS = -O2 -Wall -DPOSIX
LDFLAGS= -s 

testgl: libgetline.a testgl.o
	$(CC) $(LDFLAGS) $(CFLAGS) -o testgl testgl.o -L. -lgetline

libgetline.a: getline.o
	ar cr libgetline.a getline.o
	-ranlib libgetline.a

clean:
	rm -f *.o *.a testgl *~

=== debian/control ===
Source: fosh
Section: shell
Priority: optional
Maintainer: Radovan Garabik <garabik@galileo.dnp.fmph.uniba.sk>
Standards-Version: 2.5.0

Package: fosh
Architecture: any
Depends: ${shlibs:Depends}
Description: simple lightweight interactive shell
 Simple interactive shell designed to take as little memory as possible.
 Based od sash.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=fosh

build:
	$(checkdir)
	
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) clean DEBIAN_SYSTEM=1
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	$(MAKE) install DESTDIR=`pwd`/debian/tmp DEBIAN_SYSTEM=1
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd README 
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
